#include "lenguaje.h"

#include <stdio.h>
#include <string.h>
#include <dir.h>

unsigned NUMDIR=0; //Variable usada por RASTREAR_DIRF() Tambien es usada por las rutinas en Buscar.cpp para conservacion de tamano de codigo.

extern char DIRINFO[256]; //Usada para alojar el nombre del archivo donde se encuentra la informacion de los directorios. En ICD.CPP
extern char DIR_ACTUAL[256]; //En ICD.CPP
extern FILE *DIRINFO_ARCHIVO; //En ICD.CPP

// Usada por RASTREAR_DIR()
int RASTREAR_DIRF(const char *RUTA,const struct ffblk *RINFO)
{
 if(!(RINFO->ff_attrib & 0x10)) return 0;
 NUMDIR++;
 strupr(RUTA);
 fprintf(DIRINFO_ARCHIVO, "%s\n",RUTA);
 #ifdef L_ESPANOL
 printf("\rRastreando directorio nmero: %u",NUMDIR); fflush(stdout);
 #endif
 #ifdef L_INGLES
 printf("\rScaning directory number: %u",NUMDIR); fflush(stdout);
 #endif
 return 0;
 }

void RASTREAR_DIR()
{
 #ifdef L_ESPANOL
 printf("Actualizando datos en: %s.\n",DIRINFO);
 #endif
 #ifdef L_INGLES
 printf("Updating data in: %s.\n",DIRINFO);
 #endif
 DIRINFO_ARCHIVO=fopen(DIRINFO,"wb");
 __file_tree_walk("\\",RASTREAR_DIRF);
 fclose(DIRINFO_ARCHIVO);
 printf("\n");
 }
